﻿
@{
    ViewData["Title"] = "Upload";
}

<h3>Upload</h3>
<br/>

<input id="file" name="file" type="file">
<button onclick="UploadFile()">Upload</button>
<pre id="content"></pre>


<script>
    function UploadFile() 
    {
        let inp = document.getElementById('file');
        let formData = new FormData();
        let file = inp.files[0];      
        formData.append("file", file);

        $.ajax({
            type: "POST",
            url: window.location.origin + "/api/transaction",
            success: function (data) {
                document.getElementById("content").textContent = JSON.stringify(data, undefined, 2);
            },
            error: function (error) {
                document.getElementById("content").textContent = JSON.stringify(error, undefined, 2);
            },
            data: formData,
            processData: false,
            contentType: false
        });
    }
</script>
